package info.frostfs.sdk.examples.container;

import info.frostfs.sdk.FrostFSClient;
import info.frostfs.sdk.dto.container.Container;
import info.frostfs.sdk.dto.netmap.PlacementPolicy;
import info.frostfs.sdk.dto.netmap.Replica;
import info.frostfs.sdk.jdo.parameters.CallContext;
import info.frostfs.sdk.jdo.parameters.container.PrmContainerCreate;

public class ContainerCreate {

    public static void example(FrostFSClient frostFSClient, CallContext callContext) {
        var placementPolicy = new PlacementPolicy(new Replica[]{new Replica(1)}, true, 0);
        var prmContainerCreate = new PrmContainerCreate(new Container(placementPolicy));
        var containerId = frostFSClient.createContainer(prmContainerCreate, callContext);
    }
}
